Bug 845491 - rhc client doesn't recognize some arguments
rhc client doesn't recognize some arguments
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-08-03 04:43 EDT by jizhao
Modified: 2015-05-14 22:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-16 14:12:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-08-03 04:43:04 EDT
Description of problem:
rhc client doesn't recognize some arguments in some situations. "rhc domain", "rhc app", "rhc sshkey" has the same bug.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Get "unrecognized option" while running "rhc domain -h <args>". For example:
$ rhc domain -h --timeout 20
2.rhc client doesn't recognize option "--config" while showing help info.
$ echo 'default_rhlogin=testrhlogin@redhat.com' > my_express.conf
$ rhc domain create -h --config my_express.conf
Actual results:
1. /usr/bin/rhc-domain: unrecognized option `--timeout'
2. The default rhlogin shown in the help info still comes from ~/.openshift/express.conf

Expected results:
1.There shouldn't be any error messages, or we should change the usage info to:
    Usage: rhc domain (<command> [<args>] | --help)
2. The default rhlogin should come from the specified conf file.

Additional info:
Comment 1 Clayton Coleman 2012-08-13 17:43:21 EDT
-h should be removed as help.  It should be only rhc help domain or rhc domain --help, but not -h.

RHC client is old and not yet updated.
Comment 2 John (J5) Palmieri 2012-08-16 14:12:32 EDT

Note You need to log in before you can comment on or make changes to this bug.